Заказ меняется, пока не оплачен:
- метод:
PUT - ресурс:
/v3/billing/api/order/order/:uuid- где:uuidэто идентификатор заказа - тело запроса - объект UpdateOrderRequest
- тело ответа - объект OrderResponse
Пример запроса и ответа
PUT /v3/billing/api/order/order/019fc671-6d37-77e0-6080-fec092bf521f
Authorization: Bearer b37c4c689295904ed21eee5d9a48d42e
Content-Type: application/json
User-Agent: MyApp 1.0
Accept: application/json
{
"amount": 15000,
"vatAmount": 0,
"basketItems": [
{
"sku": "5fe0adcfa7fb4",
"name": "Бронирование номера, продление на сутки",
"measure": "шт.",
"measureCode": "796",
"quantity": 1,
"amount": 15000,
"amountWoVat": 15000,
"totalAmount": 15000,
"totalVatAmount": 0,
"vatCode": "RUS_VAT0",
"type": "service",
"paymentType": "full_prepayment"
}
]
}
Суммы заказа и корзины обязаны сходиться — правило описано в разделе как считаются суммы.
Ответ:
{
"id": "019fc671-6d37-77e0-6080-fec092bf521f",
"description": "Оплата бронирования № 4412",
"currencyId": "RUB",
"amount": 12000,
"vatAmount": 0,
"basketItems": [
{
"sku": "room-deluxe",
"name": "Проживание в номере «Делюкс», 2 ночи",
"measure": "шт",
"measureCode": "796",
"quantity": 1,
"amount": 12000,
"amountWoVat": 12000,
"totalAmount": 12000,
"totalVatAmount": 0,
"vatCode": "RUS_VAT0",
"type": "service",
"paymentType": "full_prepayment"
}
],
"merchantId": "ffffffff-ffff-ffff-ffff-ffffffffffff",
"status": "created",
"shipmentStatus": "unshipped",
"subtype": "order",
"createdAt": "2026-08-03T07:05:50+00:00",
"merchantOrderId": "portal-6c2fcf273e55-docs-example-1785740749696",
"merchantOrderIdVisible": "portal-6c2fcf273e55-docs-example-1785740749696",
"expirationDate": "2026-08-04T07:05:49+00:00",
"internalProperty": {},
"tags": [
"agent"
],
"sourceId": "v3",
"returnUrl": "https://shop.example.com/order/4412?result=return",
"successUrl": "https://shop.example.com/order/4412?result=success",
"failUrl": "https://shop.example.com/order/4412?result=fail",
"paymentUrl": "https://pay.invoicebox.ru/order/019fc671-6c80-eed3-ce48-9bb53f679353",
"paymentPageUrl": "https://pay.invoicebox.ru/order/019fc671-6c80-eed3-ce48-9bb53f679353",
"customer": {
"type": "legal",
"name": "ООО «Ромашка»",
"phone": "79001112233",
"email": "buh@example.invbox.ru",
"countryId": "RUS"
},
"languageId": "ru",
"processable": true,
"orderContainerId": "019fc671-6c80-eed3-ce48-9bb53f679353"
}
UpdateOrderRequest
| Свойство | Тип | Описание | Пример значения |
|---|---|---|---|
| description | string | Описание заказа | Оплата номера в отеле |
| amount | float | Сумма заказа | 19658.45 |
| vatAmount | float | Сумма НДС | 156.56 |
| expirationDate | datetime | Срок действия заказа | 2026-12-22T00:00:00+00:00 |
| basketItems | array of BasketItem | Корзина заказа | |
| metaData | object | Дополнительные данные заказа | |
| customer | Customer | Информация о заказчике | |
| shopId | string(36) | Идентификатор связанного магазина/маркетплейса | 06581534-196a-1105-839a-82422289d6d9 |